LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
BasicToolBarFactory Service Reference

The BasicToolBarFactory is a resource factory that provides (some of) the tool bars used by the Draw and Impress applications. More...

`import"BasicToolBarFactory.idl";`

Inheritance diagram for BasicToolBarFactory:

## Public Member Functions
| create ([in] ::com::sun::star::frame::XController xController)
| Give the controller to new instances so that they have access to the drawing framework controllers. More...
Public Member Functions inherited from XResourceFactory
XResource | createResource ([in] XResourceId xResourceId) raises ( ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::lang::WrappedTargetException )
| Create a resource for the given XResourceId object. More...
void | releaseResource ([in] XResource xResource)
| Call this method to tell a factory that the given resource is no longer in use. More...

## Detailed Description

The BasicToolBarFactory is a resource factory that provides (some of) the tool bars used by the Draw and Impress applications.

The factory recognizes the following URLs:

- `private:resource/toolbar/ViewTabBar` for the tab bar that allows the switching between views.

This short list marks the implementation of this service clearly as being in transition.

This factory is typically created indirectly by registering it in the configuration and have the XModuleController create it on demand.

## Member Function Documentation

## ◆ create()

create | ( | [in] ::com::sun::star::frame::XController | xController | ) |

Give the controller to new instances so that they have access to the drawing framework controllers.

The documentation for this service was generated from the following file:

- com/sun/star/drawing/framework/BasicToolBarFactory.idl